perl-Dist-Zilla-Plugin-Prereqs-AuthorDeps-0.6.0-1.mga6.noarch.rpm


Advertisement

Description

perl-Dist-Zilla-Plugin-Prereqs-AuthorDeps - Add Dist::Zilla authordeps to META files as develop prereqs

Property Value
Distribution Mageia Cauldron
Repository Mageia Core x86_64
Package name perl-Dist-Zilla-Plugin-Prereqs-AuthorDeps
Package version 0.6.0
Package release 1.mga6
Package architecture noarch
Package type rpm
Installed size 25.71 KB
Download size 18.10 KB
Official Mirror distrib-coffee.ipsl.jussieu.fr
Foo the foo.

Alternatives

Package Version Architecture Repository
perl-Dist-Zilla-Plugin-Prereqs-AuthorDeps-0.6.0-2.mga7.noarch.rpm 0.6.0 noarch Mageia Core
perl-Dist-Zilla-Plugin-Prereqs-AuthorDeps-0.6.0-2.mga7.noarch.rpm 0.6.0 noarch Mageia Core
perl-Dist-Zilla-Plugin-Prereqs-AuthorDeps - - -

Requires

Name Value
perl >= 1:5.10
perl(Dist::Zilla) >= 4.0.0
perl(Dist::Zilla::Role::PrereqSource) -
perl(Dist::Zilla::Util::AuthorDeps) >= 5.21.0
perl(List::Util) -
perl(Moose) -
perl(MooseX::Types::Moose) -
perl(constant) -
perl(strict) -
perl(warnings) -
perl-base >= 2:5.22.2

Provides

Name Value
perl(Dist::Zilla::Plugin::Prereqs::AuthorDeps) == 0.6.0
perl-Dist-Zilla-Plugin-Prereqs-AuthorDeps == 0.6.0-1.mga6

Download

Type URL
Binary Package perl-Dist-Zilla-Plugin-Prereqs-AuthorDeps-0.6.0-1.mga6.noarch.rpm
Source Package perl-Dist-Zilla-Plugin-Prereqs-AuthorDeps-0.6.0-1.mga6.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install perl-Dist-Zilla-Plugin-Prereqs-AuthorDeps rpm package:
    # urpmi perl-Dist-Zilla-Plugin-Prereqs-AuthorDeps

Files

Path
/usr/lib/perl5/vendor_perl/5.22.2/Dist/
/usr/lib/perl5/vendor_perl/5.22.2/Dist/Zilla/
/usr/lib/perl5/vendor_perl/5.22.2/Dist/Zilla/Plugin/
/usr/lib/perl5/vendor_perl/5.22.2/Dist/Zilla/Plugin/Prereqs/AuthorDeps.pm
/usr/share/doc/perl-Dist-Zilla-Plugin-Prereqs-AuthorDeps/Changes
/usr/share/doc/perl-Dist-Zilla-Plugin-Prereqs-AuthorDeps/LICENSE
/usr/share/doc/perl-Dist-Zilla-Plugin-Prereqs-AuthorDeps/META.json
/usr/share/doc/perl-Dist-Zilla-Plugin-Prereqs-AuthorDeps/META.yml
/usr/share/doc/perl-Dist-Zilla-Plugin-Prereqs-AuthorDeps/MYMETA.yml
/usr/share/doc/perl-Dist-Zilla-Plugin-Prereqs-AuthorDeps/README
/usr/share/man/man3/Dist::Zilla::Plugin::Prereqs::AuthorDeps.3pm.xz

Changelog

2016-05-08 - shlomif <shlomif> 0.6.0-1.mga6
+ Revision: 1010629
- update to 0.006
2016-02-19 - umeabot <umeabot> 0.5.0-2.mga6
+ Revision: 969183
- Mageia 6 Mass Rebuild
2015-08-13 - sander85 <sander85> 0.5.0-1.mga6
+ Revision: 864352
- update to 0.005
2015-06-28 - sander85 <sander85> 0.4.0-1.mga6
+ Revision: 846564
- update to 0.004
2014-10-15 - umeabot <umeabot> 0.3.0-3.mga5
+ Revision: 745488
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
2014-05-23 - sander85 <sander85> 0.3.0-1.mga5
+ Revision: 625133
- update to 0.003
2014-02-25 - jquelin <jquelin> 0.2.0-1.mga5
+ Revision: 596935
- imported package perl-Dist-Zilla-Plugin-Prereqs-AuthorDeps

See Also

Package Description
perl-Dist-Zilla-Plugin-Prereqs-FromCPANfile-0.80.0-4.mga7.noarch.rpm Parse cpanfile for prereqs
perl-Dist-Zilla-Plugin-Prereqs-MatchInstalled-1.1.3-1.mga7.noarch.rpm Depend on versions of modules the same as you have installed
perl-Dist-Zilla-Plugin-Prereqs-MatchInstalled-All-1.1.1-1.mga7.noarch.rpm Upgrade ALL your dependencies to the ones you have installed
perl-Dist-Zilla-Plugin-Prereqs-Plugins-1.3.3-1.mga7.noarch.rpm Add all Dist::Zilla plugins presently in use as prerequisites
perl-Dist-Zilla-Plugin-Prereqs-Recommend-MatchInstalled-0.3.3-2.mga7.noarch.rpm Advertise versions of things you have as soft dependencies
perl-Dist-Zilla-Plugin-Prereqs-Soften-0.6.3-2.mga7.noarch.rpm Downgrade listed dependencies to recommendations if present
perl-Dist-Zilla-Plugin-Prereqs-SyncVersions-0.3.2-1.mga7.noarch.rpm Homogenize prerequisites so dependency versions are consistent
perl-Dist-Zilla-Plugin-Prereqs-Upgrade-0.1.1-1.mga7.noarch.rpm Upgrade existing prerequisites in place
perl-Dist-Zilla-Plugin-PromptIfStale-0.55.0-1.mga7.noarch.rpm Check at build/release time if modules are out of date
perl-Dist-Zilla-Plugin-PurePerlTests-0.60.0-3.mga7.noarch.rpm Run all your tests twice, once with XS code and once with pure Perl
perl-Dist-Zilla-Plugin-Readme-Brief-0.3.2-1.mga7.noarch.rpm Provide a short simple README with just the essentials
perl-Dist-Zilla-Plugin-ReadmeAnyFromPod-0.163.250-1.mga7.noarch.rpm Automatically convert POD to a README in any format for Dist::Zilla
perl-Dist-Zilla-Plugin-ReadmeFromPod-0.350.0-2.mga7.noarch.rpm Automatically convert POD to a README for Dist::Zilla
perl-Dist-Zilla-Plugin-ReadmeMarkdownFromPod-0.141.140-5.mga6.noarch.rpm Automatically convert POD to a README.mkdn for Dist::Zilla
perl-Dist-Zilla-Plugin-ReadmeMarkdownFromPod-0.141.140-6.mga7.noarch.rpm Automatically convert POD to a README.mkdn for Dist::Zilla
Advertisement
Advertisement